月別アーカイブ: 2009年10月

ZENCART インストールできません

by guwdgfowe (Posted 2009年10月30日(金) 4:22 pm)
バージョン情報
OS FreeBSD 6.2
Perl 5.8.8
PHP 5.2.8 /5.2.4 /4.4.9 /4.4.7
Python 2.4.3
Ruby 1.8.4
httpd Apache/1.3.37 Ben-SSL/1.57 (Unix)
MTA qmail 1.03

パス情報
Perl 5.8.8 /usr/local/bin/perl
Perl 5.8.8 /usr/bin/perl
Python 2.4.3 /usr/local/bin/python
Ruby 1.8.4 /usr/local/bin/ruby
sendmail (qmail) /usr/sbin/sendmail
nkf 2.0 /usr/local/bin/nkf
gzip 1.2.4 /usr/bin/gzip
uuencode —- /usr/bin/uuencode
uudecode —- /usr/bin/uudecode
ImageMagick 6.2.0 /usr/local/bin/convert

※ CGI版 PHP の利用方法につきましては、ヘルプページをご参照ください。

PHP iniの設定情報
PHP 5.2.8
PHP 5.2.4
PHP 4.4.9
PHP 4.4.7

データベース情報
version port hostname
MySQL 4.0.27 3306 localhost
MySQL 5.0.45 3307 127.0.0.1
PostgreSQL 8.1.10 5432 127.0.0.1
上記のkddiサーバーを使いZENCARTをインストールできません
コードしかでてこなくて困っております。 知恵かしていたでけないでしょうか?  よろしくお願い致します。 :shock:



1054 Unknown column ‘c.customers_firstname_kana’ in ‘field l

by きたきつね (Posted 2009年10月29日(木) 9:00 am)
該当するSQL文はzencartzen-cart-v1.3.0.2-l10n-jp-5では
/includes/classes/order.php の240行目くらいに有りますね。
もしZencart1.38a(bigmouse版)をお使いならこの部分のSQK文は違う物ですので、バージョンを変更する時に /includes/classes/order.php をコピーしてしまったかマージの失敗をしていませんか?



zen-cartインストールについて

by kuwaman (Posted 2009年10月29日(木) 8:19 am)
saeさん、返信ありがとうございます。

zc_installまで入れても、その上の階層のディレクトリでも同じエラーでした。

アイルのFAQでは、
「.htaccessは、i-02以上でご利用可能ですが、ファイル制御に関する表記には対応しておりません。
ご利用可能なディレクティブはAuthConfig と Limit のみとさせていただいております。
ディレクティブに関しては、Apacheの公式サイト等でご確認ください。 」
とありますが、これがどのようにzen-cartに影響があるのかがわかりません。
プランは1-02です。

.htaccessの中身を消してみます。また結果をアップします。



Paypal決済について

by 自然飲料工房 (Posted 2009年10月28日(水) 10:28 pm)
相当期間がたちますがpaypal側の文字コード認識が直らないようです。
私の場合、paypalへ送るデータを、2バイトコードは一切送らないように変更しました。そうすれば正常にpaypal決済は完了しています。zen-cartの注文ログも代引の場合となんら変わりなく、正常です。



1.38aにwordpressを導入するには・・・?

by たまお (Posted 2009年10月18日(日) 1:14 am)
sumidaさま

いろいろご面倒をおかけしまして
スミマセン。

もう少し頑張ってみます。

wordpressのバージョンは2.6だと思います。

URLはzencartのどのページでも同じエラーが出てしまいます。
というよりは、最初からエラーが出てしまうので、そこから先には
何も進まない状態です。
そして、元の状態に戻すにはアップしたwozのファイルを全て
削除すれば元に戻ります。

現状はこのような状態になります。

お手数をおかけしますが、よろしくお願いします。



Hedderのソースがの中に納まっていない

by kimono (Posted 2009年10月26日(月) 6:05 pm)
呼び出しているのは、ルートにある、index.phpですよ。
そこで、
require($template->get_template_dir(‘html_header.php’,DIR_WS_TEMPLATE, $current_page_base,’common’). ‘/html_header.php’);
されてます。
同様に
require($template->get_template_dir(‘tpl_main_page.php’,DIR_WS_TEMPLATE, $current_page_base,’common’). ‘/tpl_main_page.php’);
もありますね。



IEでのアカウント登録の不具合

by keiko (Posted 2009年10月18日(日) 4:12 pm)
mmochiさま

ご指摘のところを修正いたしました。

ありがとうございました :oops:

phpの書籍は購入しておきながら、基本的な部分ができておらずお手数おかけいたします。

本当にありがとうございました。



PHP 5.3.x

by irijon (Posted 2009年10月26日(月) 11:08 pm)
mmochi さん、ありがとうございます。

エラーを出力しない設定ですね。
しかし、他のアプリケーションでも不具合が発生しまして、あきらめました。

ZEN CARTは、1.3.9で対応させるみたいですね。